board      = "svec"
sim_tool   = "modelsim"
sim_top    = "main"
action     = "simulation"
target     = "xilinx"
syn_device = "xc6slx150t"
vcom_opt   = "-93 -mixedsvvh"

# Allow the user to override fetchto using:
#  hdlmake -p "fetchto='xxx'"
if locals().get('fetchto', None) is None:
    fetchto = "../../../dependencies"

sim_pre_cmd = "EXTRA2_CFLAGS='-DSIMULATION' make -C ../../../software/firmware"

include_dirs = [
    "../include",
    fetchto + "/general-cores/sim/",
    fetchto + "/mock-turtle/hdl/testbench/include/",
    fetchto + "/vme64x-core/hdl/sim/vme64x_bfm/",
]

files = [
    "main.sv",
    "dut_env.sv",
    "buildinfo_pkg.vhd",
]

modules = {
    "local" : [
        "../../top/wrtd_ref_svec_tdc_fd",
    ],
}

ctrls = ["bank4_64b_32b", "bank5_64b_32b"]

# Do not fail during hdlmake fetch
try:
  exec(open(fetchto + "/general-cores/tools/gen_buildinfo.py").read())
except:
  pass
